Name:           wavbreaker
Version:        0.11
Release:        %mkrel 1 
Summary:        Gtk+ program to split WAV files between songs
License:        GPLv2+
Group:          Sound
URL:            http://wavbreaker.sf.net/
Source0:        http://downloads.sourceforge.net/wavbreaker/%{name}-%{version}.tar.gz
Patch0:         wavbreaker-0.10-mdv-fix-str-fmt.patch

BuildRequires:  gtk+2-devel 
BuildRequires:  libxml2-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  pulseaudio-devel
BuildRequires:  desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Suggests:       moodbar

%description
This application's purpose in life is to take a wave file and break it up into
multiple wave files.  It makes a clean break at the correct position to burn
the files to an audio cd without any dead air between the tracks.

%prep
%setup -q
%patch0 -p1 -b .strfmt

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %name

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/*

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS README ChangeLog NEWS
%_bindir/*
%_datadir/applications/*
%_datadir/pixmaps/*
%_iconsdir/hicolor/16x16/apps/%name.png
%_iconsdir/hicolor/22x22/apps/%name.png
%_iconsdir/hicolor/24x24/apps/%name.png
%_iconsdir/hicolor/48x48/apps/%name.png
%_iconsdir/hicolor/scalable/apps/%name.svg
%_mandir/man1/*




%changelog

* Wed Feb 15 2012 obgr_seneca <obgr_seneca> 0.11-1.mga2
+ Revision: 209367
- new version 0.11

* Fri Apr 08 2011 obgr_seneca <obgr_seneca> 0.10-4.mga1
+ Revision: 82338
- cleaned up spec
- removed buildroot tag
- imported package wavbreaker


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.10-3mdv2011.0
+ Revision: 615433
- the mass rebuild of 2010.1 packages

* Fri Dec 04 2009 Jérôme Brenier <incubusss@mandriva.org> 0.10-2mdv2010.1
+ Revision: 473422
- fix str fmt

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Nov 02 2008 Funda Wang <fwang@mandriva.org> 0.10-1mdv2009.1
+ Revision: 299262
- New version 0.10

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.9-4mdv2009.0
+ Revision: 261920
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.9-3mdv2009.0
+ Revision: 255834
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Feb 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-1mdv2008.1
+ Revision: 173685
- Changes from Jos?\195?\169 Jorge (lists.jjorge@free.fr):
- new version
- fix URL
- suggest moodbar

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 19 2007 Austin Acton <austin@mandriva.org> 0.8.0-1mdv2008.0
+ Revision: 28512
- new version
- add man page
- compy with XDG menu and FDO icons
- Import wavbreaker



* Fri Feb 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.6.1-3mdk
- fix build on x86_64

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-2mdk
- Fix BuildRequires
- %%mkrel 

* Tue Aug 30 2005 Austin Acton <austin@mandriva.org> 0.6.1-1mdk
- New release 0.6.1

* Tue Jul 13 2004 Austin Acton <austin@mandrake.org> 0.5-1mdk
- 0.5

* Fri Jun 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk
- 0.4

* Fri Jun 27 2003 David Walser <luigiwalser@yahoo.com> 0.3-1mdk
- initial package
